def app_config
  klass = Class.new do
    def aws_bucket
      if ENV["AWS_BUCKET"].nil?
        raise "set AWS_BUCKET env var"
      end
      ENV["AWS_BUCKET"]
    end

    def aws_access_key_id
      if ENV["AWS_ACCESS_KEY_ID"].nil?
        raise "set AWS_ACCESS_KEY_ID env var"
      end
      ENV["AWS_ACCESS_KEY_ID"]
    end

    def aws_secret_access_key
      if ENV["AWS_SECRET_ACCESS_KEY"].nil?
        raise "set AWS_SECRET_ACCESS_KEY env var"
      end
      ENV["AWS_SECRET_ACCESS_KEY"]
    end

    def aws_bucket_public
      if ENV["AWS_BUCKET_PUBLIC"].nil?
        raise "set AWS_BUCKET_PUBLIC env var"
      end
      ENV["AWS_BUCKET_PUBLIC"]
    end

    def ffmpeg_path
      if ENV["FFMPEG_PATH"].nil?
        raise "set FFMPEG_PATH env var"
      end
      ENV["FFMPEG_PATH"]
    end

    def ffmpeg_path_mp3
      if ENV["FFMPEG_PATH_MP3"].nil?
        raise "set FFMPEG_PATH_MP3 env var"
      end
      ENV["FFMPEG_PATH_MP3"]
    end

    def jmep_dir
      if ENV["JMEP_DIR"].nil?
        raise "set JMEP_DIR env var"
      end
      ENV["JMEP_DIR"]
    end
  end

  klass.new
end

